Bug 137920 - [update] x11/terminator version 0.12 to 0.13
[update] x11/terminator version 0.12 to 0.13
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-18 12:20 UTC by romain
Modified: 2009-08-27 10:10 UTC (History)
1 user (show)

See Also:


Attachments
terminator.diff (3.50 KB, patch)
2009-08-18 12:20 UTC, romain
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description romain 2009-08-18 12:20:00 UTC
Terminator 0.13 was released a few month ago.

Also update MASTER_SITES since LP seems to provide only redirects with decent URIs and direct file access is only possible with some sort of hash.

Maintainer may consider uploading the distfile to his mirror at http://hur.st/mirror/terminator/.
Comment 1 Edwin Groothuis freebsd_committer 2009-08-18 12:20:14 UTC
Maintainer of x11/terminator,

Please note that PR ports/137920 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/137920

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-08-18 12:20:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2009-08-18 19:20:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 Thomas Hurst 2009-08-25 16:25:03 UTC
* Romain Tartiere (romain@blogreen.org) wrote:

> Terminator 0.13 was released a few month ago.
> 
> Also update MASTER_SITES since LP seems to provide only redirects with
> decent URIs and direct file access is only possible with some sort of
> hash.

I don't see the point in this; the pretty URL is guaranteed to work,
where it redirects to could well expire or change.  I don't think it's
worth hardcoding for the sake of avoiding a redirect, it's just one more
entry to maintain in the port.  It won't even be used unless launchpad
is down - a situation it's unlikely to help with.

> Maintainer may consider uploading the distfile to his mirror at
> http://hur.st/mirror/terminator/.

Done.

Patch approved, other than the extra MASTER_SITES entry.  If the
redirect is undesirable, my hur.st mirror can be moved to the top so
it's used first.

Thanks :)

-- 
Thomas 'Freaky' Hurst
    http://hur.st/
Comment 5 romain 2009-08-25 20:03:53 UTC
On Tue, Aug 25, 2009 at 04:25:03PM +0100, Thomas Hurst wrote:
> > Also update MASTER_SITES since LP seems to provide only redirects with
> > decent URIs and direct file access is only possible with some sort of
> > hash.
> 
> I don't see the point in this; the pretty URL is guaranteed to work,
> where it redirects to could well expire or change.  I don't think it's
> worth hardcoding for the sake of avoiding a redirect, it's just one more
> entry to maintain in the port.  It won't even be used unless launchpad
> is down - a situation it's unlikely to help with.


Wow! Do you mean the port system not following redirects for fetching
distfiles is symptomatic of my system only?  On my system, when fetch
has a redirect, it tells me so and try the next mirror...

I don't think I have a so particular environment... and checking
/usr/ports/Mk/bsd.port.mk, default fetch arguments include -A:

| -A          Do not automatically follow ââtemporaryââ (302) redirects.
|             Some broken Web sites will return a redirect instead of a
|             notâfound error when the requested object does not exist.

Romain

-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 6 Thomas Hurst 2009-08-26 02:58:59 UTC
* Romain Tartière (romain@blogreen.org) wrote:

> Wow! Do you mean the port system not following redirects for fetching
> distfiles is symptomatic of my system only?  On my system, when fetch
> has a redirect, it tells me so and try the next mirror...
> 
> I don't think I have a so particular environment... and checking
> /usr/ports/Mk/bsd.port.mk, default fetch arguments include -A:


> | -A          Do not automatically follow ââtemporaryââ (302) redirects.
> |             Some broken Web sites will return a redirect instead of a
> |             notâfound error when the requested object does not exist.


Hmm, in that case *my* system is broken; fetch with the default args
quite happily grabs from launchpad:

  -% fetch -Avvv
  https://launchpad.net/terminator/trunk/0.13/+download/terminator_0.13.tar.gz
  ..
  <<< HTTP/1.1 302 Moved Temporarily
  ..
  302 redirect to
  https://launchpadlibrarian.net/28258738/terminator_0.13.tar.gz
  terminator_0.13.tar.gz                        100% of 2200 kB 2330
  kBps

Maybe it's broken with HTTPS?  Indeed, drop the s and:

  fetch:
  http://launchpad.net/terminator/trunk/0.13/+download/terminator_0.13.tar.gz:
  Moved Temporarily
  zsh: exit 1     fetch -Avvv

Hurry for things which work by accident :)

Patch can be applied as is, maybe a good idea to reverse the
MASTER_SITES order, but not a big deal.  Sorry for doubting you, Romain
:)

-- 
Thomas 'Freaky' Hurst
    http://hur.st/
Comment 7 romain 2009-08-26 09:20:39 UTC
On Wed, Aug 26, 2009 at 02:58:59AM +0100, Thomas Hurst wrote:
> Hmm, in that case *my* system is broken; fetch with the default args
> quite happily grabs from launchpad:
> 
>   -% fetch -Avvv
>   https://launchpad.net/terminator/trunk/0.13/+download/terminator_0.13.tar.gz
>   ..
>   <<< HTTP/1.1 302 Moved Temporarily
>   ..
>   302 redirect to
>   https://launchpadlibrarian.net/28258738/terminator_0.13.tar.gz
>   terminator_0.13.tar.gz                        100% of 2200 kB 2330
>   kBps
> 
> Maybe it's broken with HTTPS?  Indeed, drop the s and:
> 
>   fetch:
>   http://launchpad.net/terminator/trunk/0.13/+download/terminator_0.13.tar.gz:
>   Moved Temporarily
>   zsh: exit 1     fetch -Avvv


D'ah, just tested: both fail.

---------------8<----------------
romain@marvin /tmp % fetch -Avvv
http://launchpad.net/terminator/trunk/0.13/+download/terminator_0.13.tar.gz
Err 1
scheme:   [http]
user:     []
password: []
host:     [launchpad.net]
port:     [0]
document: [/terminator/trunk/0.13/+download/terminator_0.13.tar.gz]
---> launchpad.net:80
looking up launchpad.net
connecting to launchpad.net:80
requesting
http://launchpad.net/terminator/trunk/0.13/+download/terminator_0.13.tar.gz
>>> GET /terminator/trunk/0.13/+download/terminator_0.13.tar.gz HTTP/1.1
>>> Host: launchpad.net
>>> User-Agent: fetch libfetch/2.0
>>> Connection: close
>>> 

<<< HTTP/1.1 302 Moved Temporarily
<<< Date: Wed, 26 Aug 2009 08:14:38 GMT
<<< Server: zope.server.http (HTTP)
<<< X-Powered-By: Zope (www.zope.org), Python (www.python.org)
<<< X-Content-Type-Warning: guessed from content
<<< Content-Length: 0
content length: [0]
<<< Location:
http://launchpadlibrarian.net/28258738/terminator_0.13.tar.gz
302 redirect to
http://launchpadlibrarian.net/28258738/terminator_0.13.tar.gz
scheme:   [http]
user:     []
password: []
host:     [launchpadlibrarian.net]
port:     [0]
document: [/28258738/terminator_0.13.tar.gz]
<<< Vary: Cookie,Authorization
<<< Content-Type: text/plain;charset=utf-8
<<< Via: 1.1 launchpad.net
<<< Connection: close
<<< 
fetch:
http://launchpad.net/terminator/trunk/0.13/+download/terminator_0.13.tar.gz:
Moved Temporarily
romain@marvin /tmp % fetch -Avvv
https://launchpad.net/terminator/trunk/0.13/+download/terminator_0.13.tar.gz
Err 1
scheme:   [https]
user:     []
password: []
host:     [launchpad.net]
port:     [0]
document: [/terminator/trunk/0.13/+download/terminator_0.13.tar.gz]
---> launchpad.net:443
looking up launchpad.net
connecting to launchpad.net:443
SSL connection established using DHE-RSA-AES256-SHA
Certificate subject: /O=launchpad.net/OU=Domain Control
Validated/CN=launchpad.net
Certificate issuer: /C=US/ST=Arizona/L=Scottsdale/O=GoDaddy.com,
Inc./OU=http://certificates.godaddy.com/repository/CN=Go Daddy Secure
Certification Authority/serialNumber=07969287
requesting
https://launchpad.net/terminator/trunk/0.13/+download/terminator_0.13.tar.gz
>>> GET /terminator/trunk/0.13/+download/terminator_0.13.tar.gz HTTP/1.1
>>> Host: launchpad.net
>>> User-Agent: fetch libfetch/2.0
>>> Connection: close
>>> 

<<< HTTP/1.1 302 Moved Temporarily
<<< Date: Wed, 26 Aug 2009 08:16:36 GMT
<<< Server: zope.server.http (HTTP)
<<< X-Powered-By: Zope (www.zope.org), Python (www.python.org)
<<< X-Content-Type-Warning: guessed from content
<<< Content-Length: 0
content length: [0]
<<< Location:
https://launchpadlibrarian.net/28258738/terminator_0.13.tar.gz
302 redirect to
https://launchpadlibrarian.net/28258738/terminator_0.13.tar.gz
scheme:   [https]
user:     []
password: []
host:     [launchpadlibrarian.net]
port:     [0]
document: [/28258738/terminator_0.13.tar.gz]
<<< Vary: Cookie,Authorization,Accept-Encoding
<<< Content-Type: text/plain;charset=utf-8
<<< X-Cache: MISS from arsenic.canonical.com
<<< X-Cache-Lookup: MISS from arsenic.canonical.com:3128
<<< Via: 1.0 arsenic.canonical.com:3128 (squid/2.6.STABLE18)
<<< Via: 1.1 launchpad.net
<<< Connection: close
<<< 
fetch:
https://launchpad.net/terminator/trunk/0.13/+download/terminator_0.13.tar.gz:
Moved Temporarily
---------------8<----------------

> Hurry for things which work by accident :)


uname:
FreeBSD marvin.blogreen.org 7.2-STABLE FreeBSD 7.2-STABLE #6 r195737M: Fri Jul 17 14:15:17 CEST 2009 root@marvin.blogreen.org:/usr/obj/usr/src/sys/MARVIN  i386

From svn log, I see:
-----8<----------------------
r192073 | des | 2009-05-14 04:07:41 +0200 (Jeu 14 mai 2009) | 3 lignes

MFC 185912: Apply the same defaults to HTTPS as to HTTP.
MFC 187361: Fix FTP / HTTP timeouts
-----8<----------------------

svn diff snippet:
----8<------------------
@@ -376,7 +377,8 @@
        }
 
        /* HTTP specific flags */
-       if (strcmp(url->scheme, SCHEME_HTTP) == 0) {
+       if (strcmp(url->scheme, SCHEME_HTTP) == 0 ||
+           strcmp(url->scheme, SCHEME_HTTPS) == 0) {
                if (d_flag)
                        strcat(flags, "d");
                if (A_flag)
----8<------------------

I guess we can't rely on this bug in fetch anymore ;-)

> Sorry for doubting you, Romain

No problem ;-)


-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 8 Martin Wilke freebsd_committer 2009-08-27 10:04:08 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 9 dfilter freebsd_committer 2009-08-27 10:04:14 UTC
miwi        2009-08-27 09:04:01 UTC

  FreeBSD ports repository

  Modified files:
    x11/terminator       Makefile distinfo pkg-plist 
  Log:
  - Update to 0.13
  
  PR:             137920
  Submitted by:   Romain Tartiere <romain@blogreen.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.10      +3 -3      ports/x11/terminator/Makefile
  1.7       +3 -3      ports/x11/terminator/distinfo
  1.8       +9 -3      ports/x11/terminator/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"